System Requirements for Alphacam and Part Modeler

Supported Operating Systems

We recommend you install the latest service packs for the supported operating systems.

System Type: 64-bit Operating System, x64-based processor
  • Microsoft Windows 7 Professional (SP1 required)
  • Microsoft Windows 7 Enterprise (SP1 required)
  • Microsoft Windows 7 Ultimate (SP1 required)
  • Microsoft Windows 8.1 Professional
  • Microsoft Windows 8.1 Enterprise
  • Microsoft Windows 10 Professional
  • Microsoft Windows 10 Enterprise

When installing:

  • We recommend that you update to the latest security key drivers (if a security key is fitted).
  • You may experience problems with the driver supplied by your graphics card manufacturer - check for the latest driver updates on the web site for your card.

Notes

  • Alphacam and Part Modeler will install and run on the 'home' editions of these operating systems. However this is not recommended and we cannot guarantee to fix any Alphacam or Part Modeler issues specifically related to these operating systems.
  • The Sentinel RMS license server runs as a system service on Windows XP, Server 2003 (32-bit and 64-bit), Server 2008 (32-bit and 64-bit), Server 2008 R2 (64-bit), Server 2012 (64-bit) and Windows 7. Sentinel RMS network licenses can be installed on virtual servers provided that they are locked to a Safenet Computer ID USB key. Standalone (single seat) Sentinel RMS licenses cannot be locked against the new keys for use on a virtual server.
  • It is not recommended to have multiple Alphacam versions installed on the same computer when the user has limited rights or UAC is ON as this may potentially cause problems with Simulator.
  • Domain Controllers are not supported for ToolStore Server and Alphacam due to SQL limitations.
  • Windows XP, Windows Server 2003, Vista and Windows 8 are no longer supported by Alphacam.
  • Windows 8 RT is not supported by Alphacam.
  • SQL Express 2014 has a memory limit of 1 GB and a Database size limit of 10 GB. Performance issues may arize if the database is near this limit. To avoid these issues, if several job images are required, we recommend that they are not stored in the database. Job images can be extracted from the database using a command line option (tsadmin /ExtractJim) which will extract the job images to the ToolStore support folder, JobImages. Please ensure that the server has enough memory to handle the database, if it is not an Express version.

Minimum Specifications

  • 64-bit Intel Pentium 4 processor (2 GHz or faster), Intel Xeon, Intel Core, AMD Athlon 64, AMD Opteron, AMD Phenom or later, in single, dual or quad core versions
  • 4 GB of RAM

To make the most of background processing and multi-threading, we recommend a 64-bit operating system and 2GB RAM for each processor as a minimum.

Please ensure the latest WHQL certified driver that supports OpenGL 3.3 for the card is installed.

Note: Some older cards in the ranges above may no longer be supported. Please check the relevant supplier to see if an up to date driver is available for your operating system. Other graphic cards may work, but are unsupported.

  • 10 GB free disk space for the Alphacam installation
  • Graphics cards - Driver requires OpenGL 3.3:
  • 17" Color monitor (1280 x 1024 screen resolution)
  • Mouse including wheel (Intellimouse)
  • SpaceMouse/SpaceBall (optional)
  • Network card
  • Internet Explorer 11 or above
  • Internet connection for license activation/updates
  • USB port for the Alphacam security key (unless using keyless licensing)

The ToolStore Server installer will install the following items if they are not already present on your system:

  • .NET Framework version 3.5 SP1 (includes .NET Framework version 2.0)
  • .NET Framework version 4
  • Microsoft Visual C++ 2008 Redistributable Setup
  • Microsoft Visual C++ 2010 Redistributable Setup
  • Microsoft Visual C++ 2013 Redistributable Setup

The Live Job Reports Server does not support Windows XP or Windows Server 2003; only 7 / 8 and Server 2008 up to 2012 R2 are supported. The Live Job Reports client requires one of the following web browsers:

  • Internet Explorer 11
  • Google Chrome 28 or above
  • Firefox 22 or above.